import { getReservationsListByWeek } from 'api/getReservationListByWeek';
import { getReservationsList } from 'api/getReservationsList';
import { useMemo, useState } from 'react';
import { ReservationType } from 'types/ReservationType';

export const useReservationsListByWeek = (
  week: Date | null,
): ReservationType[] => {
  const [reservationList, setReservationList] = useState<ReservationType[]>([]);
  useMemo(() => {
    let isMounted = true;

    getReservationsListByWeek(week).then((list) => {
      if (isMounted) {
        setReservationList(list);
      }
    });
    return () => {
      isMounted = false;
    };
  }, [week]);
  return reservationList;
};
